Subject: Re: [AVT] Re: comments on Pre-release of draft-ietf-avt-mpeg4-simple-05.txt

From: [email-masked]
Date: Wed, 20 Nov 2002 23:00:53 +0100

Dear all,

The issue has been discussed in the AVT meeting today and with the AVT chairs. We agreed on the approach to abstract as much as possible from implementations. In detail :

1) do neither define a "generic" decoder for de-interleaving, nor emission rules for AUs from the de-interleave buffer in the "generic" decoder
2) instead explain one or two emission examples in the appendix
3) do not define the "InterleaveDelay", but only the "De-interleaveDelay"

This will substantially simplify the document and will (hopefully) remove all contentious issues.

I will work on a new draft to be published hopefully very soon. On the "pre-released" draft I received only very few comments, so hopefully we can finalize the Last WG Call quickly, assuming that the interleave issue is resolved this way.

Best regards,

Jan

                      Stephen Casner                                                                                                   
                      <[email-masked]>             To:  Dave Singer <[email-masked]>                                                 
                      Sent by:                     cc:  [email-masked]                                                                   
                      [email-masked]              <[email-masked]>                                                   
                      rg                            <[email-masked]>                                             
                                                    Colin Perkins <[email-masked]>                                                        
                                                    Chiariglione Leonardo <[email-masked]>                            
                      2002-11-20 04:17              <[email-masked]>                                                              
                      PM                            (bcc: Jan vanderMeer/EHV/CE/PHILIPS)                                               
                                                   Subject:   [AVT] Re: comments on Pre-release of draft-ietf-avt-mpeg4-simple-05.txt  
                                                                                                                                       
                                                   Classification:                                                                     

On Tue, 19 Nov 2002, Dave Singer wrote:

> I'm concerned about the text about interleaving in this document.   I
> don't think it is workable.  I have a number of points, below, and
> then proposed text, which I believe is both simpler and more workable.
>
> First, the document seems to want to talk about the sender behavior,
> which I think is irrelevant.  We are documenting a protocol, and we
> should document the contract between the sender and receiver.  The
> computation of a 'sender delay' for pre-packetized stored content is
> meaningless, anyway.

I agree with Dave's comments here.  I am concerned about the extent to
which the interleaving text has grown, not to mention technical
considerations.

> It seems to overstate what the receiver needs to buffer.  In
> particular, the receiver only needs a buffer that will hold the range
> from (lowest AU timestamp not received) through (highest AU timestamp
> received).

Agree again.  The total interleave delay shown in the example is 8,
but the sender buffers 4 of that and the receiver only needs to buffer
4, so 4 is what should be advertised in the InterleaveDelay parameter,
not 8.

                                                        -- Steve

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt